curl --request GET \
--url https://api.example.com/metrics/{metric_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"preset": true,
"total_events": 123,
"recent_events": [
{
"id": "<string>",
"trace_id": "<string>",
"value": {},
"created_at": "<string>"
}
],
"description": "<string>",
"collection_type": "<string>",
"collection_config": {},
"agent_name": "<string>",
"sampling_rate": 123,
"created_at": "<string>",
"monitor": {
"threshold": 123,
"aggregation_method": "<string>",
"comparison_operator": "<string>",
"interval_value": 123,
"interval_unit": "<string>",
"latest_status": "<string>",
"latest_value": 123
}
}Returns metric configuration, recent events, and related monitor summary in one payload.
curl --request GET \
--url https://api.example.com/metrics/{metric_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"preset": true,
"total_events": 123,
"recent_events": [
{
"id": "<string>",
"trace_id": "<string>",
"value": {},
"created_at": "<string>"
}
],
"description": "<string>",
"collection_type": "<string>",
"collection_config": {},
"agent_name": "<string>",
"sampling_rate": 123,
"created_at": "<string>",
"monitor": {
"threshold": 123,
"aggregation_method": "<string>",
"comparison_operator": "<string>",
"interval_value": 123,
"interval_unit": "<string>",
"latest_status": "<string>",
"latest_value": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Metric identifier.
Successful Response
Show child attributes
Show child attributes